--- title: "Disassociates the user from the given group roles" slug: "disassociates-the-user-from-the-given-group-roles" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/disassociates-the-user-from-the-given-group-roles" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Disassociates the user from the given group roles Delete/api/v1/users/{userId}/grouproles SecurityHTTPType bearer Path parametersuserIdstringRequired The ID of the user Responses200 OK Expand Allobject authorizationboolean dataobject groupRoles Array of object object fStatestring groupRoleNamestring groupRoleObjectGUIDstring messagestring opStatusstring Valid values[ "success", "failure", "pending" ] error_codeinteger error_messagestring error_statusboolean Examplefalse 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 403 Forbidden - Group Association in pending state Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 404 Not Found Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 500 Internal Server Error Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean